Bug 1042 - IDE should automatically save settings during execution, not just at exit.
IDE should automatically save settings during execution, not just at exit.
Status: CLOSED INVALID
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
All All
: P4 (vote)
: TBD
Assigned To: Jesse Glick
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1999-01-20 21:00 UTC by Jesse Glick
Modified: 2008-12-23 10:38 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 1999-01-20 21:00:29 UTC
IMHO the IDE should save your current settings (such as Control Panel settings, especially) when:

- File/Save All is selected

- perhaps automatically at certain intervals when the IDE is otherwise inactive: i.e. set a timer for five minutes to save settings, canceled by any activity

Otherwise, every time the IDE crashes (which can be pretty often in some versions/platforms), everything not stored in a FileObject is lost, which can be a real pain. People definitely expect File | S
ave All to snapshot their whole IDE. Maybe "File | Save Settings"?

[now Save Project Settings available in Pro, which is a good start; should also be available in Entry though for this purpose]

[Ian says--should not crash to begin with]
Comment 1 Quality Engineering 2003-07-02 14:53:31 UTC
Resolved for 3.4.x or earlier, no new info since then -> verify.
Comment 2 Quality Engineering 2003-07-02 15:12:43 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo